Subject: Re: Back from the death

From: Thomas Bishop <[email-masked]>
Date: Thu, 19 Jun 1997 11:58:59 -0700 (PDT)

Werner Lemberg <[email-masked]> wrote:
>
>Morituri salutant!
>
>
>Either this list is no longer existent, or you all have passed away...
>
>A few years ago a professor of HongKong has presented an intelligent tool
>for converting GB to Big5 using some word patterns.
>
>Has somebody still some information on this? I remember that it was
>special to a certain operating system (Sun I think), and that I was not
>able to port it (which I believe has changed meanwhile :-), thus I deleted
>the stuff again.
>
>
>    Werner

Women hai huozhe ne!

I don't know anything about the HongKong GB to Big5 converter, though
there seem to be a lot of converters around.

My company's program, Wenlin Software for Learning Chinese, can do
conversion between simple and full form characters (and thus
between GB and Big5, as well as Unicode), that is semi- "intelligent" in
two respects:

(1) it recognizes multisyllable words like TOUFA 'hair', to determine
the appropriate full form character for FA; and

(2) when the context does not permit automatic disambiguation, the
program prompts the user to determine which character is correct. For
example, if the simple form of the character FA as in TOUFA 'hair'
and in FAXIAN 'discover' needs to be converted into a full form
character, but the surrounding characters don't combine with it to
make a word in the dictionary (like TOUFA or FAXIAN), then the user
must decide, based on an understanding of the context, between the
two full form characters.

However, Wenlin wasn't designed just to be a GB to Big5 converter, so
it's not streamlined for that task; you have to open the GB file by
choosing Open from the File menu; then make a full form copy by
choosing Make Full Form Copy from the Edit menu; and finally save it
as a Big5 file by choosing Save As from the File menu. Wenlin runs
under Macintosh or DOS.

Zhu hao,

Tangmu

Wenlin Institute, Inc.         Software for Learning Chinese
4405 Walnut St. Oakland, CA 94619      Phone: (510) 534-1675
E-mail: [email-masked]         Web: http://www.wenlin.com